export declare function copy<TInOut>(in1: TInOut): TInOut;
export declare function copy<TIn, TOut>(in1: TIn): TOut;
export declare function copy<TIn1, TIn2>(in1: TIn1, in2: TIn2): TIn1 & TIn2;
export declare function copy<TOut, TIn1, TIn2>(in1: TIn1, in2: TIn2): TOut;
export declare function copy<TIn1, TIn2, TIn3>(in1: TIn1, in2: TIn2, in3: TIn3): TIn1 & TIn2 & TIn3;
export declare function copy<TIn1, TIn2, TIn3, TIn4>(in1: TIn1, in2: TIn2, in3: TIn3, in4: TIn4): TIn1 & TIn2 & TIn3 & TIn4;
export declare function copy<TIn1, TIn2, TIn3, TIn4, TIn5>(in1: TIn1, in2: TIn2, in3: TIn3, in4: TIn4, in5: TIn5): TIn1 & TIn2 & TIn3 & TIn4 & TIn5;
export declare function copy<TOut>(in1: TOut, ...ins: Partial<TOut>[]): TOut;
export declare function copy<TOut>(...ins: Partial<TOut>[]): Partial<TOut>;
